Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | PrintWriter

Name

### flush()

Examples

    PrintWriter output;

    void setup() {
      output = createWriter("positions.txt"); // Create a new file in the sketch directory
    }

    void draw() {
      point(mouseX, mouseY);
      output.println(mouseX); // Write the coordinate to the file
    }

    void keyPressed() {
      output.flush(); // Writes the remaining data to the file
      output.close(); // Finishes the file
      exit(); // Stops the program
    }

Description | Flushes the PrintWriter object. This is necessary to ensure all remaining data is written to the file before it is closed.

Syntax

    pw.flush()

Parameters

pw | any object of the type PrintWriter

Usage | Web & Application

Updated on November 22, 2008 08:39:26pm PST